Skip to main content

12) Viewing Hidden Information in Office Documents

Viewing Hidden Information in Office Documents

Supported Extensions
  • Word : doc, docx, docm, dot, dotx, dotm, rtf, odt
  • Excel : xls, xlsx, xlsm, xlt, xltx, xltm, xlsb, xlam, ods
  • PowerPoint : ppt, pptx, pptm, pot, potx, potm, pps, ppsx, ppsm, odp

API

MethodURL
POST/api/get/customProperties

Request Body

NameRequiredTypeDescription
licenseKeyrequiredstringEnter the issued license in the integration app management menu of the SHIELDRM admin page.
jsonObjrequiredstringDocument Information (String in JSON format)
jsonObj
NameRequiredTypeDescription
filePathrequiredstringTarget document path

Response

NameTypeDescription
codeint0 : Success
Other values: Error
infostringDocument Information (String in JSON format)
messagestringError message on failure
info
NameTypeDescription
filePathstringTarget document path
propertiesjsonArrayDocument Hidden Information List
    keystringhidden information key
    valuestringhidden information value
- Return the retrieved hidden information after base64 decoding.

Examples

Request

  • Body
{
"licenseKey": "EFBB-029BD-F155-7F13E",
"jsonObj": "{\"filePath\":\"/opt/shieldrm/data/test/none.xlsx\"}"
}

Response

  • success
{
"code": 0,
"info": "{\"filePath\":\"/opt/shieldrm/data/test/none.xlsx\",\"properties\":[{\"value\":\"test1\",\"key\":\"key1\"},{\"value\":\"test2\",\"key\":\"key2\"}]}"
}
  • failure
  • Status code : 200 OK
[지원하지 않는 확장자]
{
"code": -1,
"message": "Unsupported file type: /opt/shieldrm/data/test/none.txt"
}

[AIP 문서일 경우]
{
"code": -1,
"message": "Permission is required to open this file."
}
{
"code": -1,
"message": "Unknown file format."
}

[DS 문서일 경우]
{
"code": -1,
"message": "zip END header not found"
}
{
"code": -1,
"message": "Unsupported file format: Unknown"
}

  • Status code : 401 UNAUTHORIZED
{
"code": 40101,
"message": "{\"code\":40107,\"message\":\"No matching license found\",\"detail\":\"License skms_connector_info information is empty.\"}"
}